# Method: projects.snoozes.get

- [HTTP request](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes/get#body.request_body)
- [Response body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes/get#try-it)

Retrieves a `Snooze` by `name`.

### HTTP request

`GET https://monitoring.googleapis.com/v3/{name}`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The ID of the `Snooze` to retrieve. The format is: projects/[PROJECT_ID_OR_NUMBER]/snoozes/[SNOOZE_ID] |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes#Snooze`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/monitoring`
- `
  https://www.googleapis.com/auth/monitoring.read`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).